Bug 1366819 - [RFE] Incremental Update should set description for content view
Summary: [RFE] Incremental Update should set description for content view
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Sachin Ghai
URL:
Whiteboard:
Depends On: 1489778
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-13 03:07 UTC by Paul Armstrong
Modified: 2019-09-26 17:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
incremental update (68.00 KB, image/png)
2017-08-16 19:49 UTC, Walden Raines
no flags Details
UI shows the description on incremental update of cv as what exactly the update includes (51.68 KB, image/png)
2018-01-03 12:33 UTC, Sachin Ghai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16502 0 None None None 2016-09-09 17:39:37 UTC

Description Paul Armstrong 2016-08-13 03:07:31 UTC
Description of problem:It would be nice if an incremental update listed the CVEs or Errata that were added to the incremental version in the description field for the dot release. Gives a quick reference as to what was done to the CV when someone injected an erratum. 


Version-Release number of selected component (if applicable):
6.2

How reproducible:
Always

Steps to Reproduce:
1. Apply an Erratum to a CV that the erratum is not currently installable
2. This generates an incremental update task and a dot release of the CV
3. Examine the description post publishing.

Actual results:
On the Versions tab of the CV, there is no indication as to what was done when creating the dot release. The only way to infer this is to look at the errata counts between the dot release and the previous version, or drilling into the task details (3 clicks plus wait time) to determine what Erratum were applied and what packages were included.

Expected results:
It would be nice if the description of the content view version included either the erratum ID or the CVE that was addressed. Erratum ID would be best. Hyperlink to the Erratum information or a link to the details would be very sweet.

Additional info:

Comment 1 Brad Buckingham 2016-09-09 17:39:35 UTC
Created redmine issue http://projects.theforeman.org/issues/16502 from this bug

Comment 2 Brad Buckingham 2016-09-09 17:53:33 UTC
Upstream katello PR: https://github.com/Katello/katello/pull/6307

In order to address this, we are providing a summary on the version list/history, similar to the following:

  Errata:
        RHEA-2012:0002
  Packages:
        penguin-0.9.1-1.noarch
        shark-0.1-1.noarch
        walrus-0.71-1.noarch
        walrus-5.21-1.noarch
  Puppet Modules:
        theforeman-dhcp-1.3.0
        theforeman-dns-1.4.0

In the above example, all of those items (errata/pkgs/modules) were provided via the hammer cli, when performing the incremental update.

E.g.

hammer content-view version incremental-update --content-view-version-id 30 --puppet-module-ids 1,3 --errata-ids 1 --package-ids 29

Comment 3 Walden Raines 2017-08-16 19:37:59 UTC
When attempting to verify this in 6.3.0 I see the following in the task details:

Content View: Zoo View version 2.1
Added Content:
  Errata:

In other words the incremental update appears to have not sent the errata that was in the update.  See also attached screenshot.

Comment 4 Walden Raines 2017-08-16 19:49:03 UTC
Created attachment 1314346 [details]
incremental update

Comment 5 Brad Buckingham 2017-09-14 13:55:04 UTC
The failure appears to be an issue that has occurred within pulp and is being tracked with bug 1489778.

Comment 6 Bryan Kearney 2017-10-16 13:20:50 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1489778 is on_qa, so I am moving this to ON_QA as well.

Comment 7 Brad Buckingham 2017-10-20 09:39:05 UTC
Moving to ON_DEV based on the current state of bug 1489778.  It appears that it failed QA and is now going back through the release process.

Comment 8 Sachin Ghai 2018-01-03 12:29:36 UTC
verified with sat6.3 snap30

I can see the description of the content-view version id that contains the erratum and included packages.

hammer:

~]# hammer content-view version incremental-update --organization-id=1 --content-view-version-id 7  --errata-ids "RHEA-2012:0002" --lifecycle-environments Library,DEV --resolve-dependencies yes
[..........................................................................................................................................................................................................] [100%]
Content View: zoo_cv version 1.1
Added Content:
  Errata:
        RHEA-2012:0002
  Packages:
        penguin-0.9.1-1.noarch
        shark-0.1-1.noarch
        walrus-0.71-1.noarch

Comment 9 Sachin Ghai 2018-01-03 12:33:55 UTC
Created attachment 1376302 [details]
UI shows the description on incremental update of cv as what exactly the update includes

Comment 10 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.